"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function BaseInput(_ref) {
  var id = _ref.id;
  var type = _ref.type;
  var placeholder = _ref.placeholder;
  var value = _ref.value;
  var required = _ref.required;
  var disabled = _ref.disabled;
  var readonly = _ref.readonly;
  var _onChange = _ref.onChange;

  return _react2.default.createElement("input", { type: type,
    id: id,
    className: "form-control",
    value: typeof value === "undefined" ? "" : value,
    placeholder: placeholder,
    required: required,
    disabled: disabled,
    readOnly: readonly,
    onChange: function onChange(event) {
      return _onChange(event.target.value);
    } });
}

BaseInput.defaultProps = {
  type: "text",
  required: false,
  disabled: false,
  readonly: false
};

if (process.env.NODE_ENV !== "production") {
  BaseInput.propTypes = {
    id: _react.PropTypes.string.isRequired,
    placeholder: _react.PropTypes.string,
    value: _react.PropTypes.any,
    required: _react.PropTypes.bool,
    disabled: _react.PropTypes.bool,
    readonly: _react.PropTypes.bool,
    onChange: _react.PropTypes.func
  };
}

exports.default = BaseInput;